View Issue Details

IDProjectCategoryView StatusLast Update
00270522.x IDE BugsCompilingPublic2018-10-25 16:49
ReporterDanAssigned ToDan 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product VersionPre-2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0027052: Compiling: "Corrupt or damaged GameMaker build tools." status should properly abort builds and tell the user to fix
DescriptionLooking at a ticket about not begin able to run projects following an update to 2.0.7, we can see that GMS2 has logged out that their runtime files are corrupt, but the IDE doesn't actually tell the user this, so they had to contact us for us to investigate. They were also sat watching the build timer tick upwards with no info in their output window log, when the build should have been gracefully aborted.

Expected: Any time we identify this state the build should be stopped and the user shown a message that their runtime is damaged and do they want to re-download it now, as without doing this they will be unable to build projects. Saying "Yes" should take them to the runtime manager dialogue and automatically start getting the runtime the IDE expects.
Steps To Reproduce1. Install GMS2, but then mess about with your runtime install.
2. Try running a project for Windows.
3. See if the build gets "stuck" in the output window and the timer keeps going up.

Repro: Not reproduced internally yet, but the log makes it clear this happens.
Additional Informationhttps://yoyogames.zendesk.com/agent/tickets/130208
TagsNo tags attached.
2.x IDE Found In2.0.7.171
2.x Runtime Found In2.0.7.110
2.x IDE Verified In2.2.1.355
2.x Runtime Verified In2.2.1.268

Activities

Dan

2017-07-11 16:15

Adminstrator  

CorruptRuntimeDoesntFailBuild.log (223,429 bytes)

Russell Kay

2018-05-16 17:07

Manager   ~0059764

Does this still happen?

Russell Kay

2018-06-14 15:50

Manager   ~0060295

I believe this is fixed... reopen if not